Installments
Marlim provides your customer with the option to split the purchase into up to 18 installments. This endpoint will only be necessary if your platform passes on the Acquirer fees to your end consumer.
With this route, it is possible to calculate the fees that your platform needs to charge, before making a transaction to return the installment values and monthly fees.
Even with installments above 12x enabled on Marlim, transactions with 13 to 18 installments are subject to the rules of the card issuer and the brand used. Not all issuing banks and brands support this type of installment.
When a transaction is declined due to this restriction, Marlim has no control over the decision and does not receive an indication from the acquirer that the decline occurred specifically because of the number of installments requested.
Because of this behavior, customers may receive an error response when attempting transactions with installments above 12x, even if the feature is enabled on the platform.
Request Query Params
| Attribute | Type | Description |
|---|---|---|
| net_value | int32 | The net value that your platform wants to receive for a transaction. |
| card_brand | int32 | Card brand. Accepted values: visa, mastercard, amex, hipercard and elo. |
| pt_br | boolean | Optional parameter that can be passed to return values formatted in Brazilian Real (BRL). Default: false |
| chargeback_owner | string | Optional parameter that defines who will be responsible for the transaction chargeback. Accepted values: acquirer or seller Default: acquirer |
The value in net_value must be passed in cents (e.g., R$ 10.00 = 1000) and must be greater than or equal to R$ 1.00 (100).
Response Object
| Property | Type | Description |
|---|---|---|
| installment | string | Number of installments. |
| amount | int32 | Final amount to be charged to the consumer regarding the installment (including acquirer fees). |
| installment_value | int32 | Amount that the consumer will be charged monthly. |
| interest_rate | float32 | Value referring to the percentage of the acquirer fee. |
| pt_br | object | Object with values formatted in Brazilian Real (BRL). |
Brazilian Real Object
To facilitate the Front-End, you can optionally pass the parameter pt_br with the value true to return the values formatted in Brazilian Real (BRL / R$).
| Property | Type | Description |
|---|---|---|
| amount | float32 | The amount value divided by 100. The reverse path of cents. |
| amount_currency | string | The amount value using the Javascript method toLocaleString() |
| installment_value | float32 | The monthly installment value divided by 100. The reverse path of cents. |
| installment_value_currency | string | The monthly installment value using the Javascript method toLocaleString() |
| interest_rate | string | Percentage of the acquirer fee in pt_br format. |
Installments above 12x (13x to 18x) are not enabled by default for all accounts. This feature must be previously enabled by Marlim before your platform can use it. Contact our support team to check the availability and enablement of these additional installments.
Examples
- Visa Card
- Amex Card
- PT_BR
curl -X GET -G "https://api.marlim.co/v3/installments" \
-H "Content-Type: application/json" \
-H "api_key: api_key_value" \
-d net_value=1000 \
-d card_brand="visa"
[
{
"installment": "1",
"amount": 1054,
"installment_value": 1054,
"interest_rate": 5.4
},
{
"installment": "2",
"amount": 1078,
"installment_value": 539,
"interest_rate": 7.78
},
{
"installment": "3",
"amount": 1091,
"installment_value": 364,
"interest_rate": 9.09
},
{
"installment": "4",
"amount": 1104,
"installment_value": 276,
"interest_rate": 10.41
},
{
"installment": "5",
"amount": 1118,
"installment_value": 224,
"interest_rate": 11.78
},
{
"installment": "6",
"amount": 1132,
"installment_value": 189,
"interest_rate": 13.17
},
{
"installment": "7",
"amount": 1152,
"installment_value": 165,
"interest_rate": 15.25
},
{
"installment": "8",
"amount": 1167,
"installment_value": 146,
"interest_rate": 16.74
},
{
"installment": "9",
"amount": 1183,
"installment_value": 131,
"interest_rate": 18.26
},
{
"installment": "10",
"amount": 1198,
"installment_value": 120,
"interest_rate": 19.83
},
{
"installment": "11",
"amount": 1214,
"installment_value": 110,
"interest_rate": 21.43
},
{
"installment": "12",
"amount": 1231,
"installment_value": 103,
"interest_rate": 23.08
},
{
"installment": "13",
"amount": 1248,
"installment_value": 96,
"interest_rate": 24.77
},
{
"installment": "14",
"amount": 1265,
"installment_value": 90,
"interest_rate": 26.5
},
{
"installment": "15",
"amount": 1283,
"installment_value": 86,
"interest_rate": 28.27
},
{
"installment": "16",
"amount": 1301,
"installment_value": 81,
"interest_rate": 30.08
},
{
"installment": "17",
"amount": 1319,
"installment_value": 78,
"interest_rate": 31.93
},
{
"installment": "18",
"amount": 1338,
"installment_value": 74,
"interest_rate": 33.82
}
]
curl -X GET -G "https://api.marlim.co/v3/installments" \
-H "Content-Type: application/json" \
-H "api_key: api_key_value" \
-d net_value=2000 \
-d card_brand="amex"
[
{
"installment": "1",
"amount": 2122,
"installment_value": 2122,
"interest_rate": 6.12
},
{
"installment": "2",
"amount": 2159,
"installment_value": 1080,
"interest_rate": 7.96
},
{
"installment": "3",
"amount": 2185,
"installment_value": 728,
"interest_rate": 9.27
},
{
"installment": "4",
"amount": 2212,
"installment_value": 553,
"interest_rate": 10.6
},
{
"installment": "5",
"amount": 2239,
"installment_value": 448,
"interest_rate": 11.97
},
{
"installment": "6",
"amount": 2267,
"installment_value": 378,
"interest_rate": 13.37
},
{
"installment": "7",
"amount": 2308,
"installment_value": 330,
"interest_rate": 15.38
},
{
"installment": "8",
"amount": 2338,
"installment_value": 292,
"interest_rate": 16.88
},
{
"installment": "9",
"amount": 2368,
"installment_value": 263,
"interest_rate": 18.4
},
{
"installment": "10",
"amount": 2400,
"installment_value": 240,
"interest_rate": 19.98
},
{
"installment": "11",
"amount": 2432,
"installment_value": 221,
"interest_rate": 21.58
},
{
"installment": "12",
"amount": 2465,
"installment_value": 205,
"interest_rate": 23.23
},
{
"installment": "13",
"amount": 2498,
"installment_value": 192,
"interest_rate": 24.92
},
{
"installment": "14",
"amount": 2533,
"installment_value": 181,
"interest_rate": 26.65
},
{
"installment": "15",
"amount": 2568,
"installment_value": 171,
"interest_rate": 28.42
},
{
"installment": "16",
"amount": 2605,
"installment_value": 163,
"interest_rate": 30.23
},
{
"installment": "17",
"amount": 2642,
"installment_value": 155,
"interest_rate": 32.08
},
{
"installment": "18",
"amount": 2679,
"installment_value": 149,
"interest_rate": 33.97
}
]
curl -X GET -G "https://api.marlim.co/v3/installments" \
-H "Content-Type: application/json" \
-H "api_key: api_key_value" \
-d net_value=1000 \
-d card_brand="mastercard" \
-d pt_br=true
[
{
"installment": "1",
"amount": 1054,
"installment_value": 1054,
"interest_rate": 5.4,
"pt_br": {
"amount": 10.54,
"amount_currency": "R$ 10,54",
"installment_value": 10.54,
"installment_value_currency": "R$ 10,54",
"interest_rate": "5,4%"
}
},
{
"installment": "2",
"amount": 1078,
"installment_value": 539,
"interest_rate": 7.78,
"pt_br": {
"amount": 10.78,
"amount_currency": "R$ 10,78",
"installment_value": 5.39,
"installment_value_currency": "R$ 5,39",
"interest_rate": "7,78%"
}
},
{
"installment": "3",
"amount": 1091,
"installment_value": 364,
"interest_rate": 9.09,
"pt_br": {
"amount": 10.91,
"amount_currency": "R$ 10,91",
"installment_value": 3.64,
"installment_value_currency": "R$ 3,64",
"interest_rate": "9,09%"
}
},
{
"installment": "4",
"amount": 1104,
"installment_value": 276,
"interest_rate": 10.41,
"pt_br": {
"amount": 11.04,
"amount_currency": "R$ 11,04",
"installment_value": 2.76,
"installment_value_currency": "R$ 2,76",
"interest_rate": "10,41%"
}
},
{
"installment": "5",
"amount": 1118,
"installment_value": 224,
"interest_rate": 11.78,
"pt_br": {
"amount": 11.18,
"amount_currency": "R$ 11,18",
"installment_value": 2.24,
"installment_value_currency": "R$ 2,24",
"interest_rate": "11,78%"
}
},
{
"installment": "6",
"amount": 1132,
"installment_value": 189,
"interest_rate": 13.17,
"pt_br": {
"amount": 11.32,
"amount_currency": "R$ 11,32",
"installment_value": 1.89,
"installment_value_currency": "R$ 1,89",
"interest_rate": "13,17%"
}
},
{
"installment": "7",
"amount": 1152,
"installment_value": 165,
"interest_rate": 15.25,
"pt_br": {
"amount": 11.52,
"amount_currency": "R$ 11,52",
"installment_value": 1.65,
"installment_value_currency": "R$ 1,65",
"interest_rate": "15,25%"
}
},
{
"installment": "8",
"amount": 1167,
"installment_value": 146,
"interest_rate": 16.74,
"pt_br": {
"amount": 11.67,
"amount_currency": "R$ 11,67",
"installment_value": 1.46,
"installment_value_currency": "R$ 1,46",
"interest_rate": "16,74%"
}
},
{
"installment": "9",
"amount": 1183,
"installment_value": 131,
"interest_rate": 18.26,
"pt_br": {
"amount": 11.83,
"amount_currency": "R$ 11,83",
"installment_value": 1.31,
"installment_value_currency": "R$ 1,31",
"interest_rate": "18,26%"
}
},
{
"installment": "10",
"amount": 1198,
"installment_value": 120,
"interest_rate": 19.83,
"pt_br": {
"amount": 11.98,
"amount_currency": "R$ 11,98",
"installment_value": 1.2,
"installment_value_currency": "R$ 1,20",
"interest_rate": "19,83%"
}
},
{
"installment": "11",
"amount": 1214,
"installment_value": 110,
"interest_rate": 21.43,
"pt_br": {
"amount": 12.14,
"amount_currency": "R$ 12,14",
"installment_value": 1.1,
"installment_value_currency": "R$ 1,10",
"interest_rate": "21,43%"
}
},
{
"installment": "12",
"amount": 1231,
"installment_value": 103,
"interest_rate": 23.08,
"pt_br": {
"amount": 12.31,
"amount_currency": "R$ 12,31",
"installment_value": 1.03,
"installment_value_currency": "R$ 1,03",
"interest_rate": "23,08%"
}
},
{
"installment": "13",
"amount": 1248,
"installment_value": 96,
"interest_rate": 24.77,
"pt_br": {
"amount": 12.48,
"amount_currency": "R$ 12,48",
"installment_value": 0.96,
"installment_value_currency": "R$ 0,96",
"interest_rate": "24,77%"
}
},
{
"installment": "14",
"amount": 1265,
"installment_value": 90,
"interest_rate": 26.5,
"pt_br": {
"amount": 12.65,
"amount_currency": "R$ 12,65",
"installment_value": 0.9,
"installment_value_currency": "R$ 0,90",
"interest_rate": "26,5%"
}
},
{
"installment": "15",
"amount": 1283,
"installment_value": 86,
"interest_rate": 28.27,
"pt_br": {
"amount": 12.83,
"amount_currency": "R$ 12,83",
"installment_value": 0.86,
"installment_value_currency": "R$ 0,86",
"interest_rate": "28,27%"
}
},
{
"installment": "16",
"amount": 1301,
"installment_value": 81,
"interest_rate": 30.08,
"pt_br": {
"amount": 13.01,
"amount_currency": "R$ 13,01",
"installment_value": 0.81,
"installment_value_currency": "R$ 0,81",
"interest_rate": "30,08%"
}
},
{
"installment": "17",
"amount": 1319,
"installment_value": 78,
"interest_rate": 31.93,
"pt_br": {
"amount": 13.19,
"amount_currency": "R$ 13,19",
"installment_value": 0.78,
"installment_value_currency": "R$ 0,78",
"interest_rate": "31,93%"
}
},
{
"installment": "18",
"amount": 1338,
"installment_value": 74,
"interest_rate": 33.82,
"pt_br": {
"amount": 13.38,
"amount_currency": "R$ 13,38",
"installment_value": 0.74,
"installment_value_currency": "R$ 0,74",
"interest_rate": "33,82%"
}
}
]
curl -X undefined "https://api.marlim.co/v3/undefined" \
-H "Content-Type: application/json" \
-H "api_key: api_key_value" \
-d '{}'